select  b.campaign_code campaignCode,
        b.campaign_name campaignName,
        c.user_name userName,
        a.phone_number phoneNumber,
        d.name customerName,
        a.create_time createTime,
        e.complete_name contactStatus,
        f.complete_name surveyStatus,
        g.status status,
        a.status recordStatus
from contact_cust_result a
    left join campaign b on a.campaign_id = b.campaign_id
    left join vsa_users c on a.agent_id = c.user_id
    left join customer d on a.customer_id = d.customer_id
    left join campaign_complete_code e on a.contact_status = e.complete_value
    left join campaign_complete_code f on a.call_status = e.complete_value
    left join campaign g on a.campaign_id = b.campaign_id
where a.campaign_id in (:p_list_campaign_id)
    and a.customer_id like '%'||:p_customer_id||'%'
    and a.create_time >= to_date(:p_date_from, 'DD/MM/YYYY')
    and a.create_time <= to_date(:p_date_to, 'DD/MM/YYYY')
    and a.contact_status in (:p_list_contact_status)
    and a.call_status in (:p_list_survey_status)
    and a.status in (:p_list_record_status)
    and a.phone_number like '%'||:p_phone_number||'%'
    and a.duration_call >= :p_call_time_from
    and a.duration_call <= :p_call_time_to
